Bug 842166 - mingw32-gettext and mingw64-gettext erroneously share message catalogs
mingw32-gettext and mingw64-gettext erroneously share message catalogs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mingw-gettext (Show other bugs)
17
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-22 13:58 EDT by Corinna Vinschen
Modified: 2012-07-24 19:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-24 19:27:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corinna Vinschen 2012-07-22 13:58:18 EDT
Description of problem:

The mingw64-gettext and mingw32-gettext packages erroneously share all message catalog files under /usr/x86_64-w64-mingw32/sys-root/mingw/share/locale as well as under /usr/i686-w64-mingw32/sys-root/mingw/share/locale.  All the files under both paths are in both packages.

This had a bad side-effect when I upgraded from F16 to F17 on one of my machines.  I had the F16 mingw32 packages installed.  Preupgrade downloaded all equivalent mingw32 packages from F17.  After reboot, while the installer was trying to install the mingw32-gettext package, the installer failed with an error message along the lines of

   Error installing /usr/x86_64-w64-mingw32/sys-root/mingw/share/locale/be/LC_MESSAGES/gettext-runtime.mo: No such directory

Please note that this is from memory, I didn't find the exact text ot the message in any log file.  After that, the installer's only possible action was to exit
and drop the user off in a root shell.

Version-Release number of selected component (if applicable):

mingw32-gettext-0.18.1.1-8.fc17.noarch
mingw64-gettext-0.18.1.1-8.fc17.noarch
Comment 2 Fedora Update System 2012-07-22 16:20:19 EDT
mingw-gettext-0.18.1.1-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mingw-gettext-0.18.1.1-9.fc17
Comment 3 Corinna Vinschen 2012-07-23 16:00:15 EDT
The -9 package fixes the problem, thanks.
Comment 4 Fedora Update System 2012-07-23 16:26:34 EDT
Package mingw-gettext-0.18.1.1-9.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw-gettext-0.18.1.1-9.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11012/mingw-gettext-0.18.1.1-9.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-07-24 19:27:21 EDT
mingw-gettext-0.18.1.1-9.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.